Chinaunix首页 | 论坛 | 博客
  • 博客访问: 2378622
  • 博文数量: 195
  • 博客积分: 3409
  • 博客等级: 中校
  • 技术积分: 3954
  • 用 户 组: 普通用户
  • 注册时间: 2010-12-24 10:21
个人简介

● ITPUB名人堂嘉宾 ● ChinaUnix社区博客专家 ● ChinaUnix社区Oracle板块版主 ● 优酷网认证音乐牛人:EricGuitar ● SDOUG 核心成员 ●E-mail:gaoqiangdba@163.com

文章分类

全部博文(195)

文章存档

2020年(7)

2019年(7)

2016年(5)

2015年(36)

2014年(23)

2013年(15)

2012年(23)

2011年(61)

2010年(18)

分类: Oracle

2020-05-22 17:21:00

  升级了一套数据库,升级完成之后,通过自己办公环境PC机上的第三方开发工具连接数据库的时候报错,报错信息内容:

ORA-28040: No matching authentication protocol

  很奇怪之前连的好好的,网络没调整、开发软件没重装,自己的工作环境配置好之后近期没有做过调整,数据库也升级后验证没问题。

  经过查询MOS发现了导致此报错的原因:客户端版本和数据库版本差异较大。
 
  检查发现目前自己电脑配置的客户端版本为11.2.0.1。升级到12.1就OK了。

  PS:在折腾过程中,也尝试了一些网上的建议方法,对于此场景说实话效果不大。因此建议尽可能多的参考Oracle官方的文档为主。

    同时,在这次升级过程中,也提醒了我们,做升级操作一定要多通盘考虑,也要考虑相关联的工作环境等问题。能预料的问题,尽可能及时做好完善计划并提前通知相关同事,避免他们遇到问题引发困惑。预料不到及时解决的,也要及时公布事态和解决建议,尽可能减少问题的影响范围。



阅读(596) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~